# Raiz del código

# Estructura de carpetas recomendada

~~~text
src
  assets
  components
  layouts
  lib
  pages
    pagina1
      Home.svelte
    pagina2
      Home.svlete
  services
~~~

# src/assets

Se almacena imagenes, css, etc.  
Estos archivos al compilarse, quedará en la carpeta **dist/**

# src/components

Se almacena componentes que se creen que sean utilizados en comun por multiples paginas.

# src/layouts

Se almacena componentes que forman la estructura de la plantilla de las paginas.  
Esto es Base, Header, Navbar, Sidebar, Footer, etc..

# src/lib

Se almacena archivos js comunes que utilizaran las paginas.  
Ejemplo: formats.js validators.js etc...

# src/pages

Se almacena componentes de paginas que se mostrarán en subcarpetas

# src/services

Se almacena archivos js que contengan consultas a los endpoints de los datos